#include <nepomukquery_includes.h>

#include <smoke.h>
#include <nepomukquery_smoke.h>

namespace __smokenepomukquery {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KUrl
      switch(to) {
        case 5: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //Nepomuk::Query::AndTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::AndTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::AndTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)xptr;
        default: return xptr;
      }
    case 8:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Query::FileQuery
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)(Nepomuk::Query::FileQuery*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Query::GroupTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::GroupTerm*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Query::LiteralTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::LiteralTerm*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Query::NegationTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::NegationTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::NegationTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Query::OptionalTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Query::OrTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::OrTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OrTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Query::Query
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Query::Query::RequestProperty
      switch(to) {
        case 16: return (void*)(Nepomuk::Query::Query::RequestProperty*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Query::QueryParser
      switch(to) {
        case 17: return (void*)(Nepomuk::Query::QueryParser*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Query::QueryServiceClient
      switch(to) {
        case 35: return (void*)(QObject*)(Nepomuk::Query::QueryServiceClient*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::ResourceTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTerm*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::ResourceTypeTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Result
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Result*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::SimpleTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::Term
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::Term*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)(Nepomuk::Query::Term*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)(Nepomuk::Query::Term*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::Term*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::Term*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::Term*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::Term*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)(Nepomuk::Query::Term*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::Term*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Query::TermPrivate
      switch(to) {
        case 24: return (void*)(Nepomuk::Query::TermPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Resource
      switch(to) {
        case 25: return (void*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Types::Class
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 26: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Types::Entity
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Types::Property
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 28: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::Variant
      switch(to) {
        case 29: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 30:   //QBool
      switch(to) {
        case 30: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QObject
      switch(to) {
        case 35: return (void*)(QObject*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 36:   //QRegExp
      switch(to) {
        case 36: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 37:   //QTimerEvent
      switch(to) {
        case 37: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::BindingSet
      switch(to) {
        case 38: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::LanguageTag
      switch(to) {
        case 39: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::LiteralValue
      switch(to) {
        case 40: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Node
      switch(to) {
        case 41: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Statement
      switch(to) {
        case 42: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    10, 0,	// 1: Nepomuk::Query::GroupTerm
    22, 0,	// 3: Nepomuk::Query::SimpleTerm
    15, 0,	// 5: Nepomuk::Query::Query
    23, 0,	// 7: Nepomuk::Query::Term
    35, 0,	// 9: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__FileQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__QueryParser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Term(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Nepomuk__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__AndTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ComparisonTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__FileQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__GroupTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__LiteralTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__NegationTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OptionalTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OrTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query__RequestProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryServiceClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTypeTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Result(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__SimpleTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Term(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KUrl", true, 0, 0, 0, 0, 0 },	//5
    { "Nepomuk::Query", false, 0, xcall_Nepomuk__Query, 0, Smoke::cf_namespace, 0 },	//6
    { "Nepomuk::Query::AndTerm", false, 1, xcall_Nepomuk__Query__AndTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::AndTerm) },	//7
    { "Nepomuk::Query::ComparisonTerm", false, 3, xcall_Nepomuk__Query__ComparisonTerm, xenum_Nepomuk__Query__ComparisonTerm, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ComparisonTerm) },	//8
    { "Nepomuk::Query::FileQuery", false, 5, xcall_Nepomuk__Query__FileQuery, xenum_Nepomuk__Query__FileQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::FileQuery) },	//9
    { "Nepomuk::Query::GroupTerm", false, 7, xcall_Nepomuk__Query__GroupTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::GroupTerm) },	//10
    { "Nepomuk::Query::LiteralTerm", false, 7, xcall_Nepomuk__Query__LiteralTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::LiteralTerm) },	//11
    { "Nepomuk::Query::NegationTerm", false, 3, xcall_Nepomuk__Query__NegationTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::NegationTerm) },	//12
    { "Nepomuk::Query::OptionalTerm", false, 3, xcall_Nepomuk__Query__OptionalTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OptionalTerm) },	//13
    { "Nepomuk::Query::OrTerm", false, 1, xcall_Nepomuk__Query__OrTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OrTerm) },	//14
    { "Nepomuk::Query::Query", false, 0, xcall_Nepomuk__Query__Query, xenum_Nepomuk__Query__Query, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query) },	//15
    { "Nepomuk::Query::Query::RequestProperty", false, 0, xcall_Nepomuk__Query__Query__RequestProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query::RequestProperty) },	//16
    { "Nepomuk::Query::QueryParser", false, 0, xcall_Nepomuk__Query__QueryParser, xenum_Nepomuk__Query__QueryParser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::QueryParser) },	//17
    { "Nepomuk::Query::QueryServiceClient", false, 9, xcall_Nepomuk__Query__QueryServiceClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Query::QueryServiceClient) },	//18
    { "Nepomuk::Query::ResourceTerm", false, 7, xcall_Nepomuk__Query__ResourceTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTerm) },	//19
    { "Nepomuk::Query::ResourceTypeTerm", false, 7, xcall_Nepomuk__Query__ResourceTypeTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTypeTerm) },	//20
    { "Nepomuk::Query::Result", false, 0, xcall_Nepomuk__Query__Result, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Result) },	//21
    { "Nepomuk::Query::SimpleTerm", false, 7, xcall_Nepomuk__Query__SimpleTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::SimpleTerm) },	//22
    { "Nepomuk::Query::Term", false, 0, xcall_Nepomuk__Query__Term, xenum_Nepomuk__Query__Term, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Term) },	//23
    { "Nepomuk::Query::TermPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::Resource", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::Types::Class", true, 0, 0, 0, 0, 0 },	//26
    { "Nepomuk::Types::Entity", true, 0, 0, 0, 0, 0 },	//27
    { "Nepomuk::Types::Property", true, 0, 0, 0, 0, 0 },	//28
    { "Nepomuk::Variant", true, 0, 0, 0, 0, 0 },	//29
    { "QBool", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QObject", true, 0, 0, 0, 0, 0 },	//35
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//36
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//37
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//38
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//39
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//40
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//41
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//42
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KUrl", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Nepomuk::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Nepomuk::Query::AndTerm", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Query::AndTerm*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Query::ComparisonTerm", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Query::ComparisonTerm*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::Query::ComparisonTerm::AggregateFunction", 8, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::Query::ComparisonTerm::Comparator", 8, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Nepomuk::Query::FileQuery", 9, Smoke::t_class|Smoke::tf_stack },	//18
    { "Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref },	//19
    { "Nepomuk::Query::FileQuery*", 9, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Query::FileQuery::FileModeFlags", 9, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Nepomuk::Query::GroupTerm*", 10, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::Query::LiteralTerm", 11, Smoke::t_class|Smoke::tf_stack },	//23
    { "Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "Nepomuk::Query::LiteralTerm*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "Nepomuk::Query::NegationTerm", 12, Smoke::t_class|Smoke::tf_stack },	//26
    { "Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref },	//27
    { "Nepomuk::Query::NegationTerm*", 12, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Nepomuk::Query::OptionalTerm", 13, Smoke::t_class|Smoke::tf_stack },	//29
    { "Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref },	//30
    { "Nepomuk::Query::OptionalTerm*", 13, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Query::OrTerm", 14, Smoke::t_class|Smoke::tf_stack },	//32
    { "Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref },	//33
    { "Nepomuk::Query::OrTerm*", 14, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Nepomuk::Query::Query", 15, Smoke::t_class|Smoke::tf_stack },	//35
    { "Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref },	//36
    { "Nepomuk::Query::Query*", 15, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::Query::Query::QueryFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref },	//39
    { "Nepomuk::Query::Query::RequestProperty*", 16, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Nepomuk::Query::Query::SparqlFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Nepomuk::Query::QueryParser*", 17, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::Query::QueryParser::ParserFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Nepomuk::Query::QueryServiceClient*", 18, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Nepomuk::Query::RequestPropertyMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "Nepomuk::Query::ResourceTerm", 19, Smoke::t_class|Smoke::tf_stack },	//46
    { "Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref },	//47
    { "Nepomuk::Query::ResourceTerm*", 19, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Nepomuk::Query::ResourceTypeTerm", 20, Smoke::t_class|Smoke::tf_stack },	//49
    { "Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref },	//50
    { "Nepomuk::Query::ResourceTypeTerm*", 20, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "Nepomuk::Query::Result*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Nepomuk::Query::SimpleTerm*", 22, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Nepomuk::Query::Term", 23, Smoke::t_class|Smoke::tf_stack },	//55
    { "Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref },	//56
    { "Nepomuk::Query::Term*", 23, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Nepomuk::Query::Term::Type", 23, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Nepomuk::Query::TermPrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Nepomuk::Resource", 25, Smoke::t_class|Smoke::tf_stack },	//60
    { "Nepomuk::Types::Class", 26, Smoke::t_class|Smoke::tf_stack },	//61
    { "Nepomuk::Types::Property", 28, Smoke::t_class|Smoke::tf_stack },	//62
    { "Nepomuk::Variant", 29, Smoke::t_class|Smoke::tf_stack },	//63
    { "QBool", 30, Smoke::t_class|Smoke::tf_stack },	//64
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFlags<Nepomuk::Query::FileQuery::FileModeFlags>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Nepomuk::Query::Query::QueryFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Nepomuk::Query::Query::SparqlFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Nepomuk::Query::QueryParser::ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QHash<KUrl,bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QHash<Nepomuk::Types::Property,Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QHash<QString,Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QList<Nepomuk::Query::Query::RequestProperty>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QList<Nepomuk::Query::Result>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QList<Nepomuk::Query::Term>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//78
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QObject*", 35, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QRegExp&", 36, Smoke::t_class|Smoke::tf_ref },	//81
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//84
    { "QTimerEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QtValidLicenseForActiveQtModule", 33, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QtValidLicenseForCoreModule", 33, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QtValidLicenseForDBusModule", 33, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QtValidLicenseForDeclarativeModule", 33, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QtValidLicenseForGuiModule", 33, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QtValidLicenseForHelpModule", 33, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QtValidLicenseForMultimediaModule", 33, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QtValidLicenseForNetworkModule", 33, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtValidLicenseForOpenGLModule", 33, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QtValidLicenseForOpenVGModule", 33, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QtValidLicenseForQt3SupportLightModule", 33, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QtValidLicenseForQt3SupportModule", 33, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QtValidLicenseForScriptModule", 33, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QtValidLicenseForScriptToolsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QtValidLicenseForSqlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QtValidLicenseForSvgModule", 33, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QtValidLicenseForTestModule", 33, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QtValidLicenseForXmlModule", 33, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtValidLicenseForXmlPatternsModule", 33, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Soprano::BindingSet", 38, Smoke::t_class|Smoke::tf_stack },	//178
    { "Soprano::LiteralValue", 40, Smoke::t_class|Smoke::tf_stack },	//179
    { "Soprano::Node", 41, Smoke::t_class|Smoke::tf_stack },	//180
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//181
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//182
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//183
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const KUrl&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Nepomuk::Query::GroupTerm&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Nepomuk::Query::QueryParser&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const Nepomuk::Query::RequestPropertyMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//198
    { "const Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Nepomuk::Query::SimpleTerm&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Nepomuk::Resource&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Nepomuk::Types::Class&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Nepomuk::Types::Entity&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Nepomuk::Types::Property&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Nepomuk::Variant&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QHash<KUrl,bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QHash<QString,Nepomuk::Types::Property>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QList<Nepomuk::Query::Query::RequestProperty>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const QList<Nepomuk::Query::Result>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QList<Nepomuk::Query::Term>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "const QObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//217
    { "const QRegExp&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//220
    { "const Soprano::BindingSet&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Soprano::LanguageTag&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Soprano::LiteralValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Soprano::Node&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Soprano::Statement&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//226
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//227
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//228
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//229
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//230
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//231
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//232
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//233
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//234
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    203, 203, 0,	//1  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    207, 203, 0,	//4  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&
    203, 0,	//7  const Nepomuk::Query::Term&
    195, 203, 0,	//9  const Nepomuk::Query::Query&, const Nepomuk::Query::Term&
    195, 0,	//12  const Nepomuk::Query::Query&
    187, 0,	//14  const Nepomuk::Query::AndTerm&
    203, 203, 203, 203, 203, 203, 0,	//16  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    213, 0,	//23  const QList<Nepomuk::Query::Term>&
    203, 203, 203, 0,	//25  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    203, 203, 203, 203, 0,	//29  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    203, 203, 203, 203, 203, 0,	//34  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    188, 0,	//40  const Nepomuk::Query::ComparisonTerm&
    207, 203, 17, 0,	//42  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator
    17, 0,	//46  Nepomuk::Query::ComparisonTerm::Comparator
    207, 0,	//48  const Nepomuk::Types::Property&
    219, 0,	//50  const QString&
    16, 0,	//52  Nepomuk::Query::ComparisonTerm::AggregateFunction
    229, 140, 0,	//54  int, Qt::SortOrder
    182, 0,	//57  bool
    229, 0,	//59  int
    185, 0,	//61  const KUrl&
    185, 182, 0,	//63  const KUrl&, bool
    186, 0,	//66  const KUrl::List&
    209, 0,	//68  const QHash<KUrl,bool>&
    67, 0,	//70  QFlags<Nepomuk::Query::FileQuery::FileModeFlags>
    189, 0,	//72  const Nepomuk::Query::FileQuery&
    59, 0,	//74  Nepomuk::Query::TermPrivate*
    59, 203, 203, 203, 203, 203, 203, 0,	//76  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    190, 0,	//84  const Nepomuk::Query::GroupTerm&
    59, 203, 203, 0,	//86  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    59, 203, 203, 203, 0,	//90  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    59, 203, 203, 203, 203, 0,	//95  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    59, 203, 203, 203, 203, 203, 0,	//101  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    191, 0,	//108  const Nepomuk::Query::LiteralTerm&
    223, 0,	//110  const Soprano::LiteralValue&
    192, 0,	//112  const Nepomuk::Query::NegationTerm&
    193, 0,	//114  const Nepomuk::Query::OptionalTerm&
    194, 0,	//116  const Nepomuk::Query::OrTerm&
    140, 0,	//118  Qt::SortOrder
    68, 0,	//120  QFlags<Nepomuk::Query::Query::QueryFlag>
    196, 0,	//122  const Nepomuk::Query::Query::RequestProperty&
    211, 0,	//124  const QList<Nepomuk::Query::Query::RequestProperty>&
    69, 0,	//126  QFlags<Nepomuk::Query::Query::SparqlFlag>
    219, 69, 0,	//128  const QString&, QFlags<Nepomuk::Query::Query::SparqlFlag>
    207, 182, 0,	//131  const Nepomuk::Types::Property&, bool
    219, 70, 0,	//134  const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>
    197, 0,	//137  const Nepomuk::Query::QueryParser&
    226, 0,	//139  const char*
    226, 226, 0,	//141  const char*, const char*
    226, 226, 229, 0,	//144  const char*, const char*, int
    79, 229, 233, 0,	//148  QMetaObject::Call, int, void**
    80, 0,	//152  QObject*
    195, 183, 0,	//154  const Nepomuk::Query::Query&, bool*
    219, 210, 183, 0,	//157  const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*
    219, 183, 0,	//161  const QString&, bool*
    219, 198, 0,	//164  const QString&, const Nepomuk::Query::RequestPropertyMap&
    212, 0,	//167  const QList<Nepomuk::Query::Result>&
    214, 0,	//169  const QList<QUrl>&
    219, 210, 0,	//171  const QString&, const QHash<QString,Nepomuk::Types::Property>&
    199, 0,	//174  const Nepomuk::Query::ResourceTerm&
    204, 0,	//176  const Nepomuk::Resource&
    200, 0,	//178  const Nepomuk::Query::ResourceTypeTerm&
    205, 0,	//180  const Nepomuk::Types::Class&
    204, 228, 0,	//182  const Nepomuk::Resource&, double
    201, 0,	//185  const Nepomuk::Query::Result&
    228, 0,	//187  double
    207, 224, 0,	//189  const Nepomuk::Types::Property&, const Soprano::Node&
    221, 0,	//192  const Soprano::BindingSet&
    202, 0,	//194  const Nepomuk::Query::SimpleTerm&
    208, 0,	//196  const Nepomuk::Variant&
    207, 208, 0,	//198  const Nepomuk::Types::Property&, const Nepomuk::Variant&
    66, 0,	//201  QEvent*
    80, 66, 0,	//203  QObject*, QEvent*
    85, 0,	//206  QTimerEvent*
    65, 0,	//208  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "And",	//1
    "AndTerm",	//2
    "AndTerm#",	//3
    "AndTerm##",	//4
    "AndTerm###",	//5
    "AndTerm####",	//6
    "AndTerm#####",	//7
    "AndTerm######",	//8
    "AndTerm?",	//9
    "Average",	//10
    "Comparison",	//11
    "ComparisonTerm",	//12
    "ComparisonTerm#",	//13
    "ComparisonTerm##",	//14
    "ComparisonTerm##$",	//15
    "Contains",	//16
    "Count",	//17
    "CreateAskQuery",	//18
    "CreateCountQuery",	//19
    "DetectFilenamePattern",	//20
    "DistinctAverage",	//21
    "DistinctCount",	//22
    "DistinctSum",	//23
    "Equal",	//24
    "FileQuery",	//25
    "FileQuery#",	//26
    "Greater",	//27
    "GreaterOrEqual",	//28
    "GroupTerm",	//29
    "GroupTerm#",	//30
    "GroupTerm###",	//31
    "GroupTerm####",	//32
    "GroupTerm#####",	//33
    "GroupTerm######",	//34
    "GroupTerm#######",	//35
    "HandleInverseProperties",	//36
    "Invalid",	//37
    "LicensedActiveQt",	//38
    "LicensedCore",	//39
    "LicensedDBus",	//40
    "LicensedDeclarative",	//41
    "LicensedGui",	//42
    "LicensedHelp",	//43
    "LicensedMultimedia",	//44
    "LicensedNetwork",	//45
    "LicensedOpenGL",	//46
    "LicensedOpenVG",	//47
    "LicensedQt3Support",	//48
    "LicensedQt3SupportLight",	//49
    "LicensedScript",	//50
    "LicensedScriptTools",	//51
    "LicensedSql",	//52
    "LicensedSvg",	//53
    "LicensedTest",	//54
    "LicensedXml",	//55
    "LicensedXmlPatterns",	//56
    "Literal",	//57
    "LiteralTerm",	//58
    "LiteralTerm#",	//59
    "Max",	//60
    "Min",	//61
    "Negation",	//62
    "NegationTerm",	//63
    "NegationTerm#",	//64
    "NoAggregateFunction",	//65
    "NoFlags",	//66
    "NoParserFlags",	//67
    "NoQueryFlags",	//68
    "NoResultRestrictions",	//69
    "Optional",	//70
    "OptionalTerm",	//71
    "OptionalTerm#",	//72
    "Or",	//73
    "OrTerm",	//74
    "OrTerm#",	//75
    "OrTerm##",	//76
    "OrTerm###",	//77
    "OrTerm####",	//78
    "OrTerm#####",	//79
    "OrTerm######",	//80
    "OrTerm?",	//81
    "Q_COMPLEX_TYPE",	//82
    "Q_DUMMY_TYPE",	//83
    "Q_MOVABLE_TYPE",	//84
    "Q_PRIMITIVE_TYPE",	//85
    "Q_STATIC_TYPE",	//86
    "QtCriticalMsg",	//87
    "QtDebugMsg",	//88
    "QtFatalMsg",	//89
    "QtSystemMsg",	//90
    "QtWarningMsg",	//91
    "Query",	//92
    "Query#",	//93
    "QueryFiles",	//94
    "QueryFilesAndFolders",	//95
    "QueryFolders",	//96
    "QueryParser",	//97
    "QueryParser#",	//98
    "QueryServiceClient",	//99
    "QueryServiceClient#",	//100
    "QueryTermGlobbing",	//101
    "Regexp",	//102
    "RequestProperty",	//103
    "RequestProperty#",	//104
    "RequestProperty#$",	//105
    "Resource",	//106
    "ResourceTerm",	//107
    "ResourceTerm#",	//108
    "ResourceType",	//109
    "ResourceTypeTerm",	//110
    "ResourceTypeTerm#",	//111
    "Result",	//112
    "Result#",	//113
    "Result#$",	//114
    "SimpleTerm",	//115
    "SimpleTerm#",	//116
    "Smaller",	//117
    "SmallerOrEqual",	//118
    "Sum",	//119
    "Term",	//120
    "Term#",	//121
    "WithoutFullTextExcerpt",	//122
    "__codecvt_error",	//123
    "__codecvt_noconv",	//124
    "__codecvt_ok",	//125
    "__codecvt_partial",	//126
    "addExcludeFolder",	//127
    "addExcludeFolder#",	//128
    "addIncludeFolder",	//129
    "addIncludeFolder#",	//130
    "addIncludeFolder#$",	//131
    "addRequestProperty",	//132
    "addRequestProperty#",	//133
    "addRequestProperty##",	//134
    "addSubTerm",	//135
    "addSubTerm#",	//136
    "additionalBinding",	//137
    "additionalBinding$",	//138
    "additionalBindings",	//139
    "aggregateFunction",	//140
    "allIncludeFolders",	//141
    "blockingDesktopQuery",	//142
    "blockingDesktopQuery$",	//143
    "blockingQuery",	//144
    "blockingQuery#",	//145
    "blockingSparqlQuery",	//146
    "blockingSparqlQuery$",	//147
    "blockingSparqlQuery$?",	//148
    "childEvent",	//149
    "close",	//150
    "comparator",	//151
    "connectNotify",	//152
    "customEvent",	//153
    "desktopQuery",	//154
    "desktopQuery$",	//155
    "disconnectNotify",	//156
    "entriesRemoved",	//157
    "entriesRemoved?",	//158
    "error",	//159
    "error$",	//160
    "errorMessage",	//161
    "event",	//162
    "eventFilter",	//163
    "excerpt",	//164
    "excludeFolders",	//165
    "fileMode",	//166
    "finishedListing",	//167
    "fromProperty",	//168
    "fromProperty##",	//169
    "fromQueryUrl",	//170
    "fromQueryUrl#",	//171
    "fromString",	//172
    "fromString$",	//173
    "fromVariant",	//174
    "fromVariant#",	//175
    "fullTextScoringEnabled",	//176
    "fullTextScoringSortOrder",	//177
    "includeFolders",	//178
    "inverted",	//179
    "isAndTerm",	//180
    "isComparisonTerm",	//181
    "isFileQuery",	//182
    "isInverted",	//183
    "isListingFinished",	//184
    "isLiteralTerm",	//185
    "isNegationTerm",	//186
    "isOptionalTerm",	//187
    "isOrTerm",	//188
    "isResourceTerm",	//189
    "isResourceTypeTerm",	//190
    "isValid",	//191
    "limit",	//192
    "matchProperty",	//193
    "matchProperty$",	//194
    "metaObject",	//195
    "negateTerm",	//196
    "negateTerm#",	//197
    "newEntries",	//198
    "newEntries?",	//199
    "offset",	//200
    "operator!",	//201
    "operator!#",	//202
    "operator!=",	//203
    "operator!=#",	//204
    "operator!=##",	//205
    "operator&&",	//206
    "operator&&##",	//207
    "operator<",	//208
    "operator<##",	//209
    "operator<=",	//210
    "operator<=##",	//211
    "operator=",	//212
    "operator=#",	//213
    "operator==",	//214
    "operator==#",	//215
    "operator==##",	//216
    "operator>",	//217
    "operator>##",	//218
    "operator>=",	//219
    "operator>=##",	//220
    "operator[]",	//221
    "operator[]#",	//222
    "operator||",	//223
    "operator||##",	//224
    "optimized",	//225
    "optional",	//226
    "optionalizeTerm",	//227
    "optionalizeTerm#",	//228
    "parse",	//229
    "parse$",	//230
    "parse$$",	//231
    "parseQuery",	//232
    "parseQuery$",	//233
    "parseQuery$$",	//234
    "property",	//235
    "qHash",	//236
    "qHash#",	//237
    "qt_metacall",	//238
    "qt_metacall$$?",	//239
    "qt_metacast",	//240
    "qt_metacast$",	//241
    "query",	//242
    "query#",	//243
    "queryFlags",	//244
    "requestProperties",	//245
    "requestProperty",	//246
    "requestProperty#",	//247
    "requestPropertyMap",	//248
    "resource",	//249
    "resultCount",	//250
    "resultCount$",	//251
    "score",	//252
    "serviceAvailable",	//253
    "setAdditionalBindings",	//254
    "setAdditionalBindings#",	//255
    "setAggregateFunction",	//256
    "setAggregateFunction$",	//257
    "setComparator",	//258
    "setComparator$",	//259
    "setExcerpt",	//260
    "setExcerpt$",	//261
    "setExcludeFolders",	//262
    "setExcludeFolders?",	//263
    "setFileMode",	//264
    "setFileMode$",	//265
    "setFullTextScoringEnabled",	//266
    "setFullTextScoringEnabled$",	//267
    "setFullTextScoringSortOrder",	//268
    "setFullTextScoringSortOrder$",	//269
    "setIncludeFolders",	//270
    "setIncludeFolders?",	//271
    "setInverted",	//272
    "setInverted$",	//273
    "setLimit",	//274
    "setLimit$",	//275
    "setOffset",	//276
    "setOffset$",	//277
    "setProperty",	//278
    "setProperty#",	//279
    "setQueryFlags",	//280
    "setQueryFlags$",	//281
    "setRequestProperties",	//282
    "setRequestProperties?",	//283
    "setResource",	//284
    "setResource#",	//285
    "setScore",	//286
    "setScore$",	//287
    "setSortWeight",	//288
    "setSortWeight$",	//289
    "setSortWeight$$",	//290
    "setSubTerm",	//291
    "setSubTerm#",	//292
    "setSubTerms",	//293
    "setSubTerms?",	//294
    "setTerm",	//295
    "setTerm#",	//296
    "setType",	//297
    "setType#",	//298
    "setValue",	//299
    "setValue#",	//300
    "setVariableName",	//301
    "setVariableName$",	//302
    "sortOrder",	//303
    "sortWeight",	//304
    "sparqlFromQueryUrl",	//305
    "sparqlFromQueryUrl#",	//306
    "sparqlQuery",	//307
    "sparqlQuery$",	//308
    "sparqlQuery$?",	//309
    "staticMetaObject",	//310
    "subTerm",	//311
    "subTerms",	//312
    "syncDesktopQuery",	//313
    "syncDesktopQuery$",	//314
    "syncDesktopQuery$$",	//315
    "syncQuery",	//316
    "syncQuery#",	//317
    "syncQuery#$",	//318
    "syncSparqlQuery",	//319
    "syncSparqlQuery$",	//320
    "syncSparqlQuery$?",	//321
    "syncSparqlQuery$?$",	//322
    "term",	//323
    "timerEvent",	//324
    "titleFromQueryUrl",	//325
    "titleFromQueryUrl#",	//326
    "toAndTerm",	//327
    "toComparisonTerm",	//328
    "toFileQuery",	//329
    "toLiteralTerm",	//330
    "toNegationTerm",	//331
    "toOptionalTerm",	//332
    "toOrTerm",	//333
    "toResourceTerm",	//334
    "toResourceTypeTerm",	//335
    "toSearchUrl",	//336
    "toSearchUrl$",	//337
    "toSearchUrl$$",	//338
    "toSparqlQuery",	//339
    "toSparqlQuery$",	//340
    "toString",	//341
    "tr",	//342
    "tr$",	//343
    "tr$$",	//344
    "tr$$$",	//345
    "trUtf8",	//346
    "trUtf8$",	//347
    "trUtf8$$",	//348
    "trUtf8$$$",	//349
    "type",	//350
    "value",	//351
    "variableName",	//352
    "~AndTerm",	//353
    "~ComparisonTerm",	//354
    "~FileQuery",	//355
    "~GroupTerm",	//356
    "~LiteralTerm",	//357
    "~NegationTerm",	//358
    "~OptionalTerm",	//359
    "~OrTerm",	//360
    "~Query",	//361
    "~QueryParser",	//362
    "~QueryServiceClient",	//363
    "~RequestProperty",	//364
    "~ResourceTerm",	//365
    "~ResourceTypeTerm",	//366
    "~Result",	//367
    "~SimpleTerm",	//368
    "~Term",	//369
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 223, 1, 2, Smoke::mf_static, 55, 1},	//1 Nepomuk::Query::operator||(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {6, 219, 4, 2, Smoke::mf_static, 13, 2},	//2 Nepomuk::Query::operator>=(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 201, 7, 1, Smoke::mf_static, 55, 3},	//3 Nepomuk::Query::operator!(const Nepomuk::Query::Term&)
    {6, 210, 4, 2, Smoke::mf_static, 13, 4},	//4 Nepomuk::Query::operator<=(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 223, 9, 2, Smoke::mf_static, 35, 5},	//5 Nepomuk::Query::operator||(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    {6, 206, 9, 2, Smoke::mf_static, 35, 6},	//6 Nepomuk::Query::operator&&(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    {6, 203, 4, 2, Smoke::mf_static, 55, 7},	//7 Nepomuk::Query::operator!=(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 214, 4, 2, Smoke::mf_static, 13, 8},	//8 Nepomuk::Query::operator==(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 208, 4, 2, Smoke::mf_static, 13, 9},	//9 Nepomuk::Query::operator<(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 206, 1, 2, Smoke::mf_static, 55, 10},	//10 Nepomuk::Query::operator&&(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {6, 236, 7, 1, Smoke::mf_static, 231, 11},	//11 Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    {6, 217, 4, 2, Smoke::mf_static, 13, 12},	//12 Nepomuk::Query::operator>(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {6, 201, 12, 1, Smoke::mf_static, 35, 13},	//13 Nepomuk::Query::operator!(const Nepomuk::Query::Query&)
    {6, 236, 12, 1, Smoke::mf_static, 231, 14},	//14 Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    {7, 2, 0, 0, Smoke::mf_ctor, 12, 1},	//15 Nepomuk::Query::AndTerm::AndTerm()
    {7, 2, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//16 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::AndTerm&)
    {7, 2, 16, 6, Smoke::mf_ctor, 12, 3},	//17 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 23, 1, Smoke::mf_ctor, 12, 4},	//18 Nepomuk::Query::AndTerm::AndTerm(const QList<Nepomuk::Query::Term>&)
    {7, 212, 14, 1, 0, 11, 5},	//19 Nepomuk::Query::AndTerm::operator=(const Nepomuk::Query::AndTerm&)
    {7, 2, 1, 2, Smoke::mf_ctor, 12, 6},	//20 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 25, 3, Smoke::mf_ctor, 12, 7},	//21 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 29, 4, Smoke::mf_ctor, 12, 8},	//22 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 34, 5, Smoke::mf_ctor, 12, 9},	//23 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 353, 0, 0, Smoke::mf_dtor, 0, 10 },	//24 Nepomuk::Query::AndTerm::~AndTerm()
    {8, 12, 0, 0, Smoke::mf_ctor, 15, 1},	//25 Nepomuk::Query::ComparisonTerm::ComparisonTerm()
    {8, 12, 40, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//26 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Query::ComparisonTerm&)
    {8, 12, 42, 3, Smoke::mf_ctor, 15, 3},	//27 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 212, 40, 1, 0, 14, 4},	//28 Nepomuk::Query::ComparisonTerm::operator=(const Nepomuk::Query::ComparisonTerm&)
    {8, 151, 0, 0, Smoke::mf_const, 17, 5},	//29 Nepomuk::Query::ComparisonTerm::comparator() const
    {8, 235, 0, 0, Smoke::mf_const, 62, 6},	//30 Nepomuk::Query::ComparisonTerm::property() const
    {8, 258, 46, 1, 0, 0, 7},	//31 Nepomuk::Query::ComparisonTerm::setComparator(Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 278, 48, 1, 0, 0, 8},	//32 Nepomuk::Query::ComparisonTerm::setProperty(const Nepomuk::Types::Property&)
    {8, 301, 50, 1, 0, 0, 9},	//33 Nepomuk::Query::ComparisonTerm::setVariableName(const QString&)
    {8, 352, 0, 0, Smoke::mf_const, 82, 10},	//34 Nepomuk::Query::ComparisonTerm::variableName() const
    {8, 256, 52, 1, 0, 0, 11},	//35 Nepomuk::Query::ComparisonTerm::setAggregateFunction(Nepomuk::Query::ComparisonTerm::AggregateFunction)
    {8, 140, 0, 0, Smoke::mf_const, 16, 12},	//36 Nepomuk::Query::ComparisonTerm::aggregateFunction() const
    {8, 288, 54, 2, 0, 0, 13},	//37 Nepomuk::Query::ComparisonTerm::setSortWeight(int, Qt::SortOrder)
    {8, 304, 0, 0, Smoke::mf_const, 229, 14},	//38 Nepomuk::Query::ComparisonTerm::sortWeight() const
    {8, 303, 0, 0, Smoke::mf_const, 140, 15},	//39 Nepomuk::Query::ComparisonTerm::sortOrder() const
    {8, 183, 0, 0, Smoke::mf_const, 182, 16},	//40 Nepomuk::Query::ComparisonTerm::isInverted() const
    {8, 272, 57, 1, 0, 0, 17},	//41 Nepomuk::Query::ComparisonTerm::setInverted(bool)
    {8, 179, 0, 0, Smoke::mf_const, 13, 18},	//42 Nepomuk::Query::ComparisonTerm::inverted() const
    {8, 12, 4, 2, Smoke::mf_ctor, 15, 19},	//43 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {8, 288, 59, 1, 0, 0, 20},	//44 Nepomuk::Query::ComparisonTerm::setSortWeight(int)
    {8, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 21},	//45 Nepomuk::Query::ComparisonTerm::Contains (enum)
    {8, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 22},	//46 Nepomuk::Query::ComparisonTerm::Regexp (enum)
    {8, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 23},	//47 Nepomuk::Query::ComparisonTerm::Equal (enum)
    {8, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 24},	//48 Nepomuk::Query::ComparisonTerm::Greater (enum)
    {8, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 25},	//49 Nepomuk::Query::ComparisonTerm::Smaller (enum)
    {8, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//50 Nepomuk::Query::ComparisonTerm::GreaterOrEqual (enum)
    {8, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//51 Nepomuk::Query::ComparisonTerm::SmallerOrEqual (enum)
    {8, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//52 Nepomuk::Query::ComparisonTerm::NoAggregateFunction (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 29},	//53 Nepomuk::Query::ComparisonTerm::Count (enum)
    {8, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 30},	//54 Nepomuk::Query::ComparisonTerm::DistinctCount (enum)
    {8, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 31},	//55 Nepomuk::Query::ComparisonTerm::Max (enum)
    {8, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 32},	//56 Nepomuk::Query::ComparisonTerm::Min (enum)
    {8, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 33},	//57 Nepomuk::Query::ComparisonTerm::Sum (enum)
    {8, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 34},	//58 Nepomuk::Query::ComparisonTerm::DistinctSum (enum)
    {8, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 35},	//59 Nepomuk::Query::ComparisonTerm::Average (enum)
    {8, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 36},	//60 Nepomuk::Query::ComparisonTerm::DistinctAverage (enum)
    {8, 354, 0, 0, Smoke::mf_dtor, 0, 37 },	//61 Nepomuk::Query::ComparisonTerm::~ComparisonTerm()
    {9, 25, 0, 0, Smoke::mf_ctor, 20, 1},	//62 Nepomuk::Query::FileQuery::FileQuery()
    {9, 25, 7, 1, Smoke::mf_ctor, 20, 2},	//63 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    {9, 25, 12, 1, Smoke::mf_ctor, 20, 3},	//64 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    {9, 212, 12, 1, 0, 19, 4},	//65 Nepomuk::Query::FileQuery::operator=(const Nepomuk::Query::Query&)
    {9, 129, 61, 1, 0, 0, 5},	//66 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&)
    {9, 129, 63, 2, 0, 0, 6},	//67 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&, bool)
    {9, 270, 66, 1, 0, 0, 7},	//68 Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    {9, 270, 68, 1, 0, 0, 8},	//69 Nepomuk::Query::FileQuery::setIncludeFolders(const QHash<KUrl,bool>&)
    {9, 178, 0, 0, Smoke::mf_const, 8, 9},	//70 Nepomuk::Query::FileQuery::includeFolders() const
    {9, 141, 0, 0, Smoke::mf_const, 71, 10},	//71 Nepomuk::Query::FileQuery::allIncludeFolders() const
    {9, 127, 61, 1, 0, 0, 11},	//72 Nepomuk::Query::FileQuery::addExcludeFolder(const KUrl&)
    {9, 262, 66, 1, 0, 0, 12},	//73 Nepomuk::Query::FileQuery::setExcludeFolders(const KUrl::List&)
    {9, 165, 0, 0, Smoke::mf_const, 8, 13},	//74 Nepomuk::Query::FileQuery::excludeFolders() const
    {9, 264, 70, 1, 0, 0, 14},	//75 Nepomuk::Query::FileQuery::setFileMode(QFlags<Nepomuk::Query::FileQuery::FileModeFlags>)
    {9, 166, 0, 0, Smoke::mf_const, 67, 15},	//76 Nepomuk::Query::FileQuery::fileMode() const
    {9, 25, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 16},	//77 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    {9, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 17},	//78 Nepomuk::Query::FileQuery::QueryFiles (enum)
    {9, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 18},	//79 Nepomuk::Query::FileQuery::QueryFolders (enum)
    {9, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 19},	//80 Nepomuk::Query::FileQuery::QueryFilesAndFolders (enum)
    {9, 355, 0, 0, Smoke::mf_dtor, 0, 20 },	//81 Nepomuk::Query::FileQuery::~FileQuery()
    {10, 312, 0, 0, Smoke::mf_const, 76, 1},	//82 Nepomuk::Query::GroupTerm::subTerms() const
    {10, 293, 23, 1, 0, 0, 2},	//83 Nepomuk::Query::GroupTerm::setSubTerms(const QList<Nepomuk::Query::Term>&)
    {10, 135, 7, 1, 0, 0, 3},	//84 Nepomuk::Query::GroupTerm::addSubTerm(const Nepomuk::Query::Term&)
    {10, 29, 7, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 4},	//85 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    {10, 29, 74, 1, Smoke::mf_ctor|Smoke::mf_protected, 22, 5},	//86 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    {10, 29, 76, 7, Smoke::mf_ctor|Smoke::mf_protected, 22, 6},	//87 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 84, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 7},	//88 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    {10, 29, 86, 3, Smoke::mf_ctor|Smoke::mf_protected, 22, 8},	//89 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 90, 4, Smoke::mf_ctor|Smoke::mf_protected, 22, 9},	//90 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 95, 5, Smoke::mf_ctor|Smoke::mf_protected, 22, 10},	//91 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 29, 101, 6, Smoke::mf_ctor|Smoke::mf_protected, 22, 11},	//92 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 356, 0, 0, Smoke::mf_dtor, 0, 12 },	//93 Nepomuk::Query::GroupTerm::~GroupTerm()
    {11, 58, 108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 1},	//94 Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    {11, 58, 110, 1, Smoke::mf_ctor, 25, 2},	//95 Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    {11, 212, 108, 1, 0, 24, 3},	//96 Nepomuk::Query::LiteralTerm::operator=(const Nepomuk::Query::LiteralTerm&)
    {11, 351, 0, 0, Smoke::mf_const, 179, 4},	//97 Nepomuk::Query::LiteralTerm::value() const
    {11, 299, 110, 1, 0, 0, 5},	//98 Nepomuk::Query::LiteralTerm::setValue(const Soprano::LiteralValue&)
    {11, 58, 0, 0, Smoke::mf_ctor, 25, 6},	//99 Nepomuk::Query::LiteralTerm::LiteralTerm()
    {11, 357, 0, 0, Smoke::mf_dtor, 0, 7 },	//100 Nepomuk::Query::LiteralTerm::~LiteralTerm()
    {12, 63, 0, 0, Smoke::mf_ctor, 28, 1},	//101 Nepomuk::Query::NegationTerm::NegationTerm()
    {12, 63, 112, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//102 Nepomuk::Query::NegationTerm::NegationTerm(const Nepomuk::Query::NegationTerm&)
    {12, 212, 112, 1, 0, 27, 3},	//103 Nepomuk::Query::NegationTerm::operator=(const Nepomuk::Query::NegationTerm&)
    {12, 196, 7, 1, Smoke::mf_static, 55, 4},	//104 Nepomuk::Query::NegationTerm::negateTerm(const Nepomuk::Query::Term&)
    {12, 358, 0, 0, Smoke::mf_dtor, 0, 5 },	//105 Nepomuk::Query::NegationTerm::~NegationTerm()
    {13, 71, 0, 0, Smoke::mf_ctor, 31, 1},	//106 Nepomuk::Query::OptionalTerm::OptionalTerm()
    {13, 71, 114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//107 Nepomuk::Query::OptionalTerm::OptionalTerm(const Nepomuk::Query::OptionalTerm&)
    {13, 212, 114, 1, 0, 30, 3},	//108 Nepomuk::Query::OptionalTerm::operator=(const Nepomuk::Query::OptionalTerm&)
    {13, 227, 7, 1, Smoke::mf_static, 55, 4},	//109 Nepomuk::Query::OptionalTerm::optionalizeTerm(const Nepomuk::Query::Term&)
    {13, 359, 0, 0, Smoke::mf_dtor, 0, 5 },	//110 Nepomuk::Query::OptionalTerm::~OptionalTerm()
    {14, 74, 0, 0, Smoke::mf_ctor, 34, 1},	//111 Nepomuk::Query::OrTerm::OrTerm()
    {14, 74, 116, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//112 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::OrTerm&)
    {14, 74, 16, 6, Smoke::mf_ctor, 34, 3},	//113 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 74, 23, 1, Smoke::mf_ctor, 34, 4},	//114 Nepomuk::Query::OrTerm::OrTerm(const QList<Nepomuk::Query::Term>&)
    {14, 212, 116, 1, 0, 33, 5},	//115 Nepomuk::Query::OrTerm::operator=(const Nepomuk::Query::OrTerm&)
    {14, 74, 1, 2, Smoke::mf_ctor, 34, 6},	//116 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 74, 25, 3, Smoke::mf_ctor, 34, 7},	//117 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 74, 29, 4, Smoke::mf_ctor, 34, 8},	//118 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 74, 34, 5, Smoke::mf_ctor, 34, 9},	//119 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 360, 0, 0, Smoke::mf_dtor, 0, 10 },	//120 Nepomuk::Query::OrTerm::~OrTerm()
    {15, 92, 0, 0, Smoke::mf_ctor, 37, 1},	//121 Nepomuk::Query::Query::Query()
    {15, 92, 7, 1, Smoke::mf_ctor, 37, 2},	//122 Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    {15, 92, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 3},	//123 Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    {15, 212, 12, 1, 0, 36, 4},	//124 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    {15, 212, 7, 1, 0, 36, 5},	//125 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    {15, 191, 0, 0, Smoke::mf_const, 182, 6},	//126 Nepomuk::Query::Query::isValid() const
    {15, 182, 0, 0, Smoke::mf_const, 182, 7},	//127 Nepomuk::Query::Query::isFileQuery() const
    {15, 329, 0, 0, Smoke::mf_const, 18, 8},	//128 Nepomuk::Query::Query::toFileQuery() const
    {15, 323, 0, 0, Smoke::mf_const, 55, 9},	//129 Nepomuk::Query::Query::term() const
    {15, 192, 0, 0, Smoke::mf_const, 229, 10},	//130 Nepomuk::Query::Query::limit() const
    {15, 200, 0, 0, Smoke::mf_const, 229, 11},	//131 Nepomuk::Query::Query::offset() const
    {15, 295, 7, 1, 0, 0, 12},	//132 Nepomuk::Query::Query::setTerm(const Nepomuk::Query::Term&)
    {15, 274, 59, 1, 0, 0, 13},	//133 Nepomuk::Query::Query::setLimit(int)
    {15, 276, 59, 1, 0, 0, 14},	//134 Nepomuk::Query::Query::setOffset(int)
    {15, 266, 57, 1, 0, 0, 15},	//135 Nepomuk::Query::Query::setFullTextScoringEnabled(bool)
    {15, 268, 118, 1, 0, 0, 16},	//136 Nepomuk::Query::Query::setFullTextScoringSortOrder(Qt::SortOrder)
    {15, 176, 0, 0, Smoke::mf_const, 182, 17},	//137 Nepomuk::Query::Query::fullTextScoringEnabled() const
    {15, 177, 0, 0, Smoke::mf_const, 140, 18},	//138 Nepomuk::Query::Query::fullTextScoringSortOrder() const
    {15, 280, 120, 1, 0, 0, 19},	//139 Nepomuk::Query::Query::setQueryFlags(QFlags<Nepomuk::Query::Query::QueryFlag>)
    {15, 244, 0, 0, Smoke::mf_const, 68, 20},	//140 Nepomuk::Query::Query::queryFlags() const
    {15, 132, 122, 1, 0, 0, 21},	//141 Nepomuk::Query::Query::addRequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {15, 282, 124, 1, 0, 0, 22},	//142 Nepomuk::Query::Query::setRequestProperties(const QList<Nepomuk::Query::Query::RequestProperty>&)
    {15, 245, 0, 0, Smoke::mf_const, 74, 23},	//143 Nepomuk::Query::Query::requestProperties() const
    {15, 339, 126, 1, Smoke::mf_const, 82, 24},	//144 Nepomuk::Query::Query::toSparqlQuery(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 336, 126, 1, Smoke::mf_const, 7, 25},	//145 Nepomuk::Query::Query::toSearchUrl(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 336, 128, 2, Smoke::mf_const, 7, 26},	//146 Nepomuk::Query::Query::toSearchUrl(const QString&, QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 248, 0, 0, Smoke::mf_const, 73, 27},	//147 Nepomuk::Query::Query::requestPropertyMap() const
    {15, 214, 12, 1, Smoke::mf_const, 182, 28},	//148 Nepomuk::Query::Query::operator==(const Nepomuk::Query::Query&) const
    {15, 203, 12, 1, Smoke::mf_const, 182, 29},	//149 Nepomuk::Query::Query::operator!=(const Nepomuk::Query::Query&) const
    {15, 225, 0, 0, Smoke::mf_const, 35, 30},	//150 Nepomuk::Query::Query::optimized() const
    {15, 341, 0, 0, Smoke::mf_const, 82, 31},	//151 Nepomuk::Query::Query::toString() const
    {15, 172, 50, 1, Smoke::mf_static, 35, 32},	//152 Nepomuk::Query::Query::fromString(const QString&)
    {15, 170, 61, 1, Smoke::mf_static, 35, 33},	//153 Nepomuk::Query::Query::fromQueryUrl(const KUrl&)
    {15, 305, 61, 1, Smoke::mf_static, 82, 34},	//154 Nepomuk::Query::Query::sparqlFromQueryUrl(const KUrl&)
    {15, 325, 61, 1, Smoke::mf_static, 82, 35},	//155 Nepomuk::Query::Query::titleFromQueryUrl(const KUrl&)
    {15, 339, 0, 0, Smoke::mf_const, 82, 36},	//156 Nepomuk::Query::Query::toSparqlQuery() const
    {15, 336, 0, 0, Smoke::mf_const, 7, 37},	//157 Nepomuk::Query::Query::toSearchUrl() const
    {15, 336, 50, 1, Smoke::mf_const, 7, 38},	//158 Nepomuk::Query::Query::toSearchUrl(const QString&) const
    {15, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 39},	//159 Nepomuk::Query::Query::NoQueryFlags (enum)
    {15, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 40},	//160 Nepomuk::Query::Query::NoResultRestrictions (enum)
    {15, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 41},	//161 Nepomuk::Query::Query::WithoutFullTextExcerpt (enum)
    {15, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 42},	//162 Nepomuk::Query::Query::NoFlags (enum)
    {15, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 43},	//163 Nepomuk::Query::Query::CreateCountQuery (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 44},	//164 Nepomuk::Query::Query::HandleInverseProperties (enum)
    {15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 45},	//165 Nepomuk::Query::Query::CreateAskQuery (enum)
    {15, 361, 0, 0, Smoke::mf_dtor, 0, 46 },	//166 Nepomuk::Query::Query::~Query()
    {16, 103, 131, 2, Smoke::mf_ctor, 40, 1},	//167 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&, bool)
    {16, 103, 122, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//168 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {16, 212, 122, 1, 0, 39, 3},	//169 Nepomuk::Query::Query::RequestProperty::operator=(const Nepomuk::Query::Query::RequestProperty&)
    {16, 214, 122, 1, Smoke::mf_const, 182, 4},	//170 Nepomuk::Query::Query::RequestProperty::operator==(const Nepomuk::Query::Query::RequestProperty&) const
    {16, 235, 0, 0, Smoke::mf_const, 62, 5},	//171 Nepomuk::Query::Query::RequestProperty::property() const
    {16, 226, 0, 0, Smoke::mf_const, 182, 6},	//172 Nepomuk::Query::Query::RequestProperty::optional() const
    {16, 103, 48, 1, Smoke::mf_ctor, 40, 7},	//173 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    {16, 364, 0, 0, Smoke::mf_dtor, 0, 8 },	//174 Nepomuk::Query::Query::RequestProperty::~RequestProperty()
    {17, 97, 0, 0, Smoke::mf_ctor, 42, 1},	//175 Nepomuk::Query::QueryParser::QueryParser()
    {17, 229, 50, 1, Smoke::mf_const, 35, 2},	//176 Nepomuk::Query::QueryParser::parse(const QString&) const
    {17, 229, 134, 2, Smoke::mf_const, 35, 3},	//177 Nepomuk::Query::QueryParser::parse(const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>) const
    {17, 193, 50, 1, Smoke::mf_const, 77, 4},	//178 Nepomuk::Query::QueryParser::matchProperty(const QString&) const
    {17, 232, 50, 1, Smoke::mf_static, 35, 5},	//179 Nepomuk::Query::QueryParser::parseQuery(const QString&)
    {17, 232, 134, 2, Smoke::mf_static, 35, 6},	//180 Nepomuk::Query::QueryParser::parseQuery(const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>)
    {17, 97, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 7},	//181 Nepomuk::Query::QueryParser::QueryParser(const Nepomuk::Query::QueryParser&)
    {17, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 8},	//182 Nepomuk::Query::QueryParser::NoParserFlags (enum)
    {17, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 9},	//183 Nepomuk::Query::QueryParser::QueryTermGlobbing (enum)
    {17, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 10},	//184 Nepomuk::Query::QueryParser::DetectFilenamePattern (enum)
    {17, 362, 0, 0, Smoke::mf_dtor, 0, 11 },	//185 Nepomuk::Query::QueryParser::~QueryParser()
    {18, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 1},	//186 Nepomuk::Query::QueryServiceClient::metaObject() const
    {18, 240, 139, 1, Smoke::mf_virtual, 232, 2},	//187 Nepomuk::Query::QueryServiceClient::qt_metacast(const char*)
    {18, 342, 141, 2, Smoke::mf_static, 82, 3},	//188 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*)
    {18, 346, 141, 2, Smoke::mf_static, 82, 4},	//189 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*)
    {18, 342, 144, 3, Smoke::mf_static, 82, 5},	//190 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*, int)
    {18, 346, 144, 3, Smoke::mf_static, 82, 6},	//191 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*, int)
    {18, 238, 148, 3, Smoke::mf_virtual, 229, 7},	//192 Nepomuk::Query::QueryServiceClient::qt_metacall(QMetaObject::Call, int, void**)
    {18, 99, 152, 1, Smoke::mf_ctor, 44, 8},	//193 Nepomuk::Query::QueryServiceClient::QueryServiceClient(QObject*)
    {18, 253, 0, 0, Smoke::mf_static, 182, 9},	//194 Nepomuk::Query::QueryServiceClient::serviceAvailable()
    {18, 316, 154, 2, Smoke::mf_static, 75, 10},	//195 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&, bool*)
    {18, 319, 157, 3, Smoke::mf_static, 75, 11},	//196 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*)
    {18, 313, 161, 2, Smoke::mf_static, 75, 12},	//197 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&, bool*)
    {18, 242, 12, 1, Smoke::mf_slot, 182, 13},	//198 Nepomuk::Query::QueryServiceClient::query(const Nepomuk::Query::Query&)
    {18, 307, 164, 2, Smoke::mf_slot, 182, 14},	//199 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&, const Nepomuk::Query::RequestPropertyMap&)
    {18, 154, 50, 1, Smoke::mf_slot, 182, 15},	//200 Nepomuk::Query::QueryServiceClient::desktopQuery(const QString&)
    {18, 144, 12, 1, Smoke::mf_slot, 182, 16},	//201 Nepomuk::Query::QueryServiceClient::blockingQuery(const Nepomuk::Query::Query&)
    {18, 146, 164, 2, Smoke::mf_slot, 182, 17},	//202 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&, const Nepomuk::Query::RequestPropertyMap&)
    {18, 142, 50, 1, Smoke::mf_slot, 182, 18},	//203 Nepomuk::Query::QueryServiceClient::blockingDesktopQuery(const QString&)
    {18, 150, 0, 0, Smoke::mf_slot, 0, 19},	//204 Nepomuk::Query::QueryServiceClient::close()
    {18, 184, 0, 0, Smoke::mf_const|Smoke::mf_slot, 182, 20},	//205 Nepomuk::Query::QueryServiceClient::isListingFinished() const
    {18, 161, 0, 0, Smoke::mf_const|Smoke::mf_slot, 82, 21},	//206 Nepomuk::Query::QueryServiceClient::errorMessage() const
    {18, 198, 167, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//207 Nepomuk::Query::QueryServiceClient::newEntries(const QList<Nepomuk::Query::Result>&)
    {18, 157, 169, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//208 Nepomuk::Query::QueryServiceClient::entriesRemoved(const QList<QUrl>&)
    {18, 250, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//209 Nepomuk::Query::QueryServiceClient::resultCount(int)
    {18, 167, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//210 Nepomuk::Query::QueryServiceClient::finishedListing()
    {18, 159, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//211 Nepomuk::Query::QueryServiceClient::error(const QString&)
    {18, 342, 139, 1, Smoke::mf_static, 82, 27},	//212 Nepomuk::Query::QueryServiceClient::tr(const char*)
    {18, 346, 139, 1, Smoke::mf_static, 82, 28},	//213 Nepomuk::Query::QueryServiceClient::trUtf8(const char*)
    {18, 99, 0, 0, Smoke::mf_ctor, 44, 29},	//214 Nepomuk::Query::QueryServiceClient::QueryServiceClient()
    {18, 316, 12, 1, Smoke::mf_static, 75, 30},	//215 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&)
    {18, 319, 50, 1, Smoke::mf_static, 75, 31},	//216 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&)
    {18, 319, 171, 2, Smoke::mf_static, 75, 32},	//217 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 313, 50, 1, Smoke::mf_static, 75, 33},	//218 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&)
    {18, 307, 50, 1, Smoke::mf_slot, 182, 34},	//219 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&)
    {18, 146, 50, 1, Smoke::mf_slot, 182, 35},	//220 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&)
    {18, 310, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 215, 36},	//221 Nepomuk::Query::QueryServiceClient::staticMetaObject() const
    {18, 363, 0, 0, Smoke::mf_dtor, 0, 37 },	//222 Nepomuk::Query::QueryServiceClient::~QueryServiceClient()
    {19, 107, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 1},	//223 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    {19, 107, 176, 1, Smoke::mf_ctor, 48, 2},	//224 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    {19, 212, 174, 1, 0, 47, 3},	//225 Nepomuk::Query::ResourceTerm::operator=(const Nepomuk::Query::ResourceTerm&)
    {19, 249, 0, 0, Smoke::mf_const, 60, 4},	//226 Nepomuk::Query::ResourceTerm::resource() const
    {19, 284, 176, 1, 0, 0, 5},	//227 Nepomuk::Query::ResourceTerm::setResource(const Nepomuk::Resource&)
    {19, 107, 0, 0, Smoke::mf_ctor, 48, 6},	//228 Nepomuk::Query::ResourceTerm::ResourceTerm()
    {19, 365, 0, 0, Smoke::mf_dtor, 0, 7 },	//229 Nepomuk::Query::ResourceTerm::~ResourceTerm()
    {20, 110, 178, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 1},	//230 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 110, 180, 1, Smoke::mf_ctor, 51, 2},	//231 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    {20, 212, 178, 1, 0, 50, 3},	//232 Nepomuk::Query::ResourceTypeTerm::operator=(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 350, 0, 0, Smoke::mf_const, 61, 4},	//233 Nepomuk::Query::ResourceTypeTerm::type() const
    {20, 297, 180, 1, 0, 0, 5},	//234 Nepomuk::Query::ResourceTypeTerm::setType(const Nepomuk::Types::Class&)
    {20, 110, 0, 0, Smoke::mf_ctor, 51, 6},	//235 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm()
    {20, 366, 0, 0, Smoke::mf_dtor, 0, 7 },	//236 Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm()
    {21, 112, 0, 0, Smoke::mf_ctor, 53, 1},	//237 Nepomuk::Query::Result::Result()
    {21, 112, 182, 2, Smoke::mf_ctor, 53, 2},	//238 Nepomuk::Query::Result::Result(const Nepomuk::Resource&, double)
    {21, 112, 185, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 3},	//239 Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    {21, 212, 185, 1, 0, 52, 4},	//240 Nepomuk::Query::Result::operator=(const Nepomuk::Query::Result&)
    {21, 252, 0, 0, Smoke::mf_const, 228, 5},	//241 Nepomuk::Query::Result::score() const
    {21, 249, 0, 0, Smoke::mf_const, 60, 6},	//242 Nepomuk::Query::Result::resource() const
    {21, 286, 187, 1, 0, 0, 7},	//243 Nepomuk::Query::Result::setScore(double)
    {21, 132, 189, 2, 0, 0, 8},	//244 Nepomuk::Query::Result::addRequestProperty(const Nepomuk::Types::Property&, const Soprano::Node&)
    {21, 245, 0, 0, Smoke::mf_const, 72, 9},	//245 Nepomuk::Query::Result::requestProperties() const
    {21, 221, 48, 1, Smoke::mf_const, 180, 10},	//246 Nepomuk::Query::Result::operator[](const Nepomuk::Types::Property&) const
    {21, 246, 48, 1, Smoke::mf_const, 180, 11},	//247 Nepomuk::Query::Result::requestProperty(const Nepomuk::Types::Property&) const
    {21, 254, 192, 1, 0, 0, 12},	//248 Nepomuk::Query::Result::setAdditionalBindings(const Soprano::BindingSet&)
    {21, 139, 0, 0, Smoke::mf_const, 178, 13},	//249 Nepomuk::Query::Result::additionalBindings() const
    {21, 137, 50, 1, Smoke::mf_const, 63, 14},	//250 Nepomuk::Query::Result::additionalBinding(const QString&) const
    {21, 260, 50, 1, 0, 0, 15},	//251 Nepomuk::Query::Result::setExcerpt(const QString&)
    {21, 164, 0, 0, Smoke::mf_const, 82, 16},	//252 Nepomuk::Query::Result::excerpt() const
    {21, 214, 185, 1, Smoke::mf_const, 182, 17},	//253 Nepomuk::Query::Result::operator==(const Nepomuk::Query::Result&) const
    {21, 112, 176, 1, Smoke::mf_ctor, 53, 18},	//254 Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    {21, 367, 0, 0, Smoke::mf_dtor, 0, 19 },	//255 Nepomuk::Query::Result::~Result()
    {22, 311, 0, 0, Smoke::mf_const, 55, 1},	//256 Nepomuk::Query::SimpleTerm::subTerm() const
    {22, 291, 7, 1, 0, 0, 2},	//257 Nepomuk::Query::SimpleTerm::setSubTerm(const Nepomuk::Query::Term&)
    {22, 115, 7, 1, Smoke::mf_ctor|Smoke::mf_protected, 54, 3},	//258 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    {22, 115, 74, 1, Smoke::mf_ctor|Smoke::mf_protected, 54, 4},	//259 Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    {22, 115, 194, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 5},	//260 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    {22, 368, 0, 0, Smoke::mf_dtor, 0, 6 },	//261 Nepomuk::Query::SimpleTerm::~SimpleTerm()
    {23, 120, 0, 0, Smoke::mf_ctor, 57, 1},	//262 Nepomuk::Query::Term::Term()
    {23, 120, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//263 Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    {23, 212, 7, 1, 0, 56, 3},	//264 Nepomuk::Query::Term::operator=(const Nepomuk::Query::Term&)
    {23, 191, 0, 0, Smoke::mf_const, 182, 4},	//265 Nepomuk::Query::Term::isValid() const
    {23, 350, 0, 0, Smoke::mf_const, 58, 5},	//266 Nepomuk::Query::Term::type() const
    {23, 225, 0, 0, Smoke::mf_const, 55, 6},	//267 Nepomuk::Query::Term::optimized() const
    {23, 185, 0, 0, Smoke::mf_const, 182, 7},	//268 Nepomuk::Query::Term::isLiteralTerm() const
    {23, 189, 0, 0, Smoke::mf_const, 182, 8},	//269 Nepomuk::Query::Term::isResourceTerm() const
    {23, 186, 0, 0, Smoke::mf_const, 182, 9},	//270 Nepomuk::Query::Term::isNegationTerm() const
    {23, 187, 0, 0, Smoke::mf_const, 182, 10},	//271 Nepomuk::Query::Term::isOptionalTerm() const
    {23, 180, 0, 0, Smoke::mf_const, 182, 11},	//272 Nepomuk::Query::Term::isAndTerm() const
    {23, 188, 0, 0, Smoke::mf_const, 182, 12},	//273 Nepomuk::Query::Term::isOrTerm() const
    {23, 181, 0, 0, Smoke::mf_const, 182, 13},	//274 Nepomuk::Query::Term::isComparisonTerm() const
    {23, 190, 0, 0, Smoke::mf_const, 182, 14},	//275 Nepomuk::Query::Term::isResourceTypeTerm() const
    {23, 330, 0, 0, Smoke::mf_const, 23, 15},	//276 Nepomuk::Query::Term::toLiteralTerm() const
    {23, 334, 0, 0, Smoke::mf_const, 46, 16},	//277 Nepomuk::Query::Term::toResourceTerm() const
    {23, 331, 0, 0, Smoke::mf_const, 26, 17},	//278 Nepomuk::Query::Term::toNegationTerm() const
    {23, 332, 0, 0, Smoke::mf_const, 29, 18},	//279 Nepomuk::Query::Term::toOptionalTerm() const
    {23, 327, 0, 0, Smoke::mf_const, 10, 19},	//280 Nepomuk::Query::Term::toAndTerm() const
    {23, 333, 0, 0, Smoke::mf_const, 32, 20},	//281 Nepomuk::Query::Term::toOrTerm() const
    {23, 328, 0, 0, Smoke::mf_const, 13, 21},	//282 Nepomuk::Query::Term::toComparisonTerm() const
    {23, 335, 0, 0, Smoke::mf_const, 49, 22},	//283 Nepomuk::Query::Term::toResourceTypeTerm() const
    {23, 330, 0, 0, 0, 24, 23},	//284 Nepomuk::Query::Term::toLiteralTerm()
    {23, 334, 0, 0, 0, 47, 24},	//285 Nepomuk::Query::Term::toResourceTerm()
    {23, 331, 0, 0, 0, 27, 25},	//286 Nepomuk::Query::Term::toNegationTerm()
    {23, 332, 0, 0, 0, 30, 26},	//287 Nepomuk::Query::Term::toOptionalTerm()
    {23, 327, 0, 0, 0, 11, 27},	//288 Nepomuk::Query::Term::toAndTerm()
    {23, 333, 0, 0, 0, 33, 28},	//289 Nepomuk::Query::Term::toOrTerm()
    {23, 328, 0, 0, 0, 14, 29},	//290 Nepomuk::Query::Term::toComparisonTerm()
    {23, 335, 0, 0, 0, 50, 30},	//291 Nepomuk::Query::Term::toResourceTypeTerm()
    {23, 341, 0, 0, Smoke::mf_const, 82, 31},	//292 Nepomuk::Query::Term::toString() const
    {23, 172, 50, 1, Smoke::mf_static, 55, 32},	//293 Nepomuk::Query::Term::fromString(const QString&)
    {23, 174, 196, 1, Smoke::mf_static, 55, 33},	//294 Nepomuk::Query::Term::fromVariant(const Nepomuk::Variant&)
    {23, 168, 198, 2, Smoke::mf_static, 55, 34},	//295 Nepomuk::Query::Term::fromProperty(const Nepomuk::Types::Property&, const Nepomuk::Variant&)
    {23, 214, 7, 1, Smoke::mf_const, 182, 35},	//296 Nepomuk::Query::Term::operator==(const Nepomuk::Query::Term&) const
    {23, 203, 7, 1, Smoke::mf_const, 182, 36},	//297 Nepomuk::Query::Term::operator!=(const Nepomuk::Query::Term&) const
    {23, 120, 74, 1, Smoke::mf_ctor|Smoke::mf_protected, 57, 37},	//298 Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    {23, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 38},	//299 Nepomuk::Query::Term::Invalid (enum)
    {23, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 39},	//300 Nepomuk::Query::Term::Literal (enum)
    {23, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 40},	//301 Nepomuk::Query::Term::Resource (enum)
    {23, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 41},	//302 Nepomuk::Query::Term::And (enum)
    {23, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 42},	//303 Nepomuk::Query::Term::Or (enum)
    {23, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 43},	//304 Nepomuk::Query::Term::Comparison (enum)
    {23, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 44},	//305 Nepomuk::Query::Term::ResourceType (enum)
    {23, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 45},	//306 Nepomuk::Query::Term::Negation (enum)
    {23, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 46},	//307 Nepomuk::Query::Term::Optional (enum)
    {23, 369, 0, 0, Smoke::mf_dtor, 0, 47 },	//308 Nepomuk::Query::Term::~Term()
    {33, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 1},	//309 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {33, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 2},	//310 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {33, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 3},	//311 QGlobalSpace::Q_STATIC_TYPE (enum)
    {33, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 4},	//312 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {33, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 5},	//313 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {33, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 6},	//314 QGlobalSpace::LicensedGui (enum)
    {33, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 7},	//315 QGlobalSpace::LicensedXml (enum)
    {33, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 8},	//316 QGlobalSpace::LicensedQt3SupportLight (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 9},	//317 QGlobalSpace::LicensedScript (enum)
    {33, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 10},	//318 QGlobalSpace::LicensedOpenVG (enum)
    {33, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 11},	//319 QGlobalSpace::LicensedDBus (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 12},	//320 QGlobalSpace::LicensedTest (enum)
    {33, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 13},	//321 QGlobalSpace::LicensedActiveQt (enum)
    {33, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 14},	//322 QGlobalSpace::LicensedScriptTools (enum)
    {33, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 15},	//323 QGlobalSpace::LicensedSvg (enum)
    {33, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 16},	//324 QGlobalSpace::LicensedDeclarative (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 17},	//325 QGlobalSpace::LicensedSql (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 18},	//326 QGlobalSpace::LicensedOpenGL (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 19},	//327 QGlobalSpace::LicensedCore (enum)
    {33, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 20},	//328 QGlobalSpace::QtDebugMsg (enum)
    {33, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 21},	//329 QGlobalSpace::QtWarningMsg (enum)
    {33, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 22},	//330 QGlobalSpace::QtCriticalMsg (enum)
    {33, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 23},	//331 QGlobalSpace::QtFatalMsg (enum)
    {33, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 24},	//332 QGlobalSpace::QtSystemMsg (enum)
    {33, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 25},	//333 QGlobalSpace::LicensedHelp (enum)
    {33, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 26},	//334 QGlobalSpace::LicensedMultimedia (enum)
    {33, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 27},	//335 QGlobalSpace::LicensedQt3Support (enum)
    {33, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 28},	//336 QGlobalSpace::LicensedXmlPatterns (enum)
    {33, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 29},	//337 QGlobalSpace::LicensedNetwork (enum)
    {33, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 30},	//338 QGlobalSpace::__codecvt_ok (enum)
    {33, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 31},	//339 QGlobalSpace::__codecvt_partial (enum)
    {33, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 32},	//340 QGlobalSpace::__codecvt_error (enum)
    {33, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 33},	//341 QGlobalSpace::__codecvt_noconv (enum)
    {35, 162, 201, 1, Smoke::mf_virtual, 182, 0},	//342 QObject::event(QEvent*)
    {35, 163, 203, 2, Smoke::mf_virtual, 182, 0},	//343 QObject::eventFilter(QObject*, QEvent*)
    {35, 324, 206, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//344 QObject::timerEvent(QTimerEvent*)
    {35, 149, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//345 QObject::childEvent(QChildEvent*)
    {35, 153, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//346 QObject::customEvent(QEvent*)
    {35, 152, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//347 QObject::connectNotify(const char*)
    {35, 156, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//348 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    223,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    224,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    0,
    63,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    64,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    77,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    0,
    68,  // Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    69,  // Nepomuk::Query::FileQuery::setIncludeFolders(const QHash<KUrl,bool>&)
    0,
    122,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    123,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    0,
    124,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    125,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    0,
    145,  // Nepomuk::Query::Query::toSearchUrl(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    158,  // Nepomuk::Query::Query::toSearchUrl(const QString&) const
    0,
    94,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    95,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    0,
    85,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    86,  // Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    88,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    0,
    258,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    259,  // Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    260,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    0,
    263,  // Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    298,  // Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    0,
    280,  // Nepomuk::Query::Term::toAndTerm() const
    288,  // Nepomuk::Query::Term::toAndTerm()
    0,
    282,  // Nepomuk::Query::Term::toComparisonTerm() const
    290,  // Nepomuk::Query::Term::toComparisonTerm()
    0,
    276,  // Nepomuk::Query::Term::toLiteralTerm() const
    284,  // Nepomuk::Query::Term::toLiteralTerm()
    0,
    278,  // Nepomuk::Query::Term::toNegationTerm() const
    286,  // Nepomuk::Query::Term::toNegationTerm()
    0,
    279,  // Nepomuk::Query::Term::toOptionalTerm() const
    287,  // Nepomuk::Query::Term::toOptionalTerm()
    0,
    281,  // Nepomuk::Query::Term::toOrTerm() const
    289,  // Nepomuk::Query::Term::toOrTerm()
    0,
    277,  // Nepomuk::Query::Term::toResourceTerm() const
    285,  // Nepomuk::Query::Term::toResourceTerm()
    0,
    283,  // Nepomuk::Query::Term::toResourceTypeTerm() const
    291,  // Nepomuk::Query::Term::toResourceTypeTerm()
    0,
    230,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    231,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    0,
    239,  // Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    254,  // Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    0,
    168,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    173,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    0,
    3,  // Nepomuk::Query::operator!(const Nepomuk::Query::Term&)
    13,  // Nepomuk::Query::operator!(const Nepomuk::Query::Query&)
    0,
    6,  // Nepomuk::Query::operator&&(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    10,  // Nepomuk::Query::operator&&(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    0,
    1,  // Nepomuk::Query::operator||(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    5,  // Nepomuk::Query::operator||(const Nepomuk::Query::Query&, const Nepomuk::Query::Term&)
    0,
    11,  // Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    14,  // Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 202, -67},	// Nepomuk::Query::operator!#
    {6, 205, 7},	// Nepomuk::Query::operator!=##
    {6, 207, -70},	// Nepomuk::Query::operator&&##
    {6, 209, 9},	// Nepomuk::Query::operator<##
    {6, 211, 4},	// Nepomuk::Query::operator<=##
    {6, 216, 8},	// Nepomuk::Query::operator==##
    {6, 218, 12},	// Nepomuk::Query::operator>##
    {6, 220, 2},	// Nepomuk::Query::operator>=##
    {6, 224, -73},	// Nepomuk::Query::operator||##
    {6, 237, -76},	// Nepomuk::Query::qHash#
    {7, 2, 15},	// Nepomuk::Query::AndTerm::AndTerm
    {7, 3, 16},	// Nepomuk::Query::AndTerm::AndTerm#
    {7, 4, 20},	// Nepomuk::Query::AndTerm::AndTerm##
    {7, 5, 21},	// Nepomuk::Query::AndTerm::AndTerm###
    {7, 6, 22},	// Nepomuk::Query::AndTerm::AndTerm####
    {7, 7, 23},	// Nepomuk::Query::AndTerm::AndTerm#####
    {7, 8, 17},	// Nepomuk::Query::AndTerm::AndTerm######
    {7, 9, 18},	// Nepomuk::Query::AndTerm::AndTerm?
    {7, 213, 19},	// Nepomuk::Query::AndTerm::operator=#
    {7, 353, 24},	// Nepomuk::Query::AndTerm::~AndTerm
    {8, 10, 59},	// Nepomuk::Query::ComparisonTerm::Average
    {8, 12, 25},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm
    {8, 13, 26},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm#
    {8, 14, 43},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##
    {8, 15, 27},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##$
    {8, 16, 45},	// Nepomuk::Query::ComparisonTerm::Contains
    {8, 17, 53},	// Nepomuk::Query::ComparisonTerm::Count
    {8, 21, 60},	// Nepomuk::Query::ComparisonTerm::DistinctAverage
    {8, 22, 54},	// Nepomuk::Query::ComparisonTerm::DistinctCount
    {8, 23, 58},	// Nepomuk::Query::ComparisonTerm::DistinctSum
    {8, 24, 47},	// Nepomuk::Query::ComparisonTerm::Equal
    {8, 27, 48},	// Nepomuk::Query::ComparisonTerm::Greater
    {8, 28, 50},	// Nepomuk::Query::ComparisonTerm::GreaterOrEqual
    {8, 60, 55},	// Nepomuk::Query::ComparisonTerm::Max
    {8, 61, 56},	// Nepomuk::Query::ComparisonTerm::Min
    {8, 65, 52},	// Nepomuk::Query::ComparisonTerm::NoAggregateFunction
    {8, 102, 46},	// Nepomuk::Query::ComparisonTerm::Regexp
    {8, 117, 49},	// Nepomuk::Query::ComparisonTerm::Smaller
    {8, 118, 51},	// Nepomuk::Query::ComparisonTerm::SmallerOrEqual
    {8, 119, 57},	// Nepomuk::Query::ComparisonTerm::Sum
    {8, 140, 36},	// Nepomuk::Query::ComparisonTerm::aggregateFunction
    {8, 151, 29},	// Nepomuk::Query::ComparisonTerm::comparator
    {8, 179, 42},	// Nepomuk::Query::ComparisonTerm::inverted
    {8, 183, 40},	// Nepomuk::Query::ComparisonTerm::isInverted
    {8, 213, 28},	// Nepomuk::Query::ComparisonTerm::operator=#
    {8, 235, 30},	// Nepomuk::Query::ComparisonTerm::property
    {8, 257, 35},	// Nepomuk::Query::ComparisonTerm::setAggregateFunction$
    {8, 259, 31},	// Nepomuk::Query::ComparisonTerm::setComparator$
    {8, 273, 41},	// Nepomuk::Query::ComparisonTerm::setInverted$
    {8, 279, 32},	// Nepomuk::Query::ComparisonTerm::setProperty#
    {8, 289, 44},	// Nepomuk::Query::ComparisonTerm::setSortWeight$
    {8, 290, 37},	// Nepomuk::Query::ComparisonTerm::setSortWeight$$
    {8, 302, 33},	// Nepomuk::Query::ComparisonTerm::setVariableName$
    {8, 303, 39},	// Nepomuk::Query::ComparisonTerm::sortOrder
    {8, 304, 38},	// Nepomuk::Query::ComparisonTerm::sortWeight
    {8, 352, 34},	// Nepomuk::Query::ComparisonTerm::variableName
    {8, 354, 61},	// Nepomuk::Query::ComparisonTerm::~ComparisonTerm
    {9, 25, 62},	// Nepomuk::Query::FileQuery::FileQuery
    {9, 26, -4},	// Nepomuk::Query::FileQuery::FileQuery#
    {9, 94, 78},	// Nepomuk::Query::FileQuery::QueryFiles
    {9, 95, 80},	// Nepomuk::Query::FileQuery::QueryFilesAndFolders
    {9, 96, 79},	// Nepomuk::Query::FileQuery::QueryFolders
    {9, 128, 72},	// Nepomuk::Query::FileQuery::addExcludeFolder#
    {9, 130, 66},	// Nepomuk::Query::FileQuery::addIncludeFolder#
    {9, 131, 67},	// Nepomuk::Query::FileQuery::addIncludeFolder#$
    {9, 141, 71},	// Nepomuk::Query::FileQuery::allIncludeFolders
    {9, 165, 74},	// Nepomuk::Query::FileQuery::excludeFolders
    {9, 166, 76},	// Nepomuk::Query::FileQuery::fileMode
    {9, 178, 70},	// Nepomuk::Query::FileQuery::includeFolders
    {9, 213, 65},	// Nepomuk::Query::FileQuery::operator=#
    {9, 263, 73},	// Nepomuk::Query::FileQuery::setExcludeFolders?
    {9, 265, 75},	// Nepomuk::Query::FileQuery::setFileMode$
    {9, 271, -8},	// Nepomuk::Query::FileQuery::setIncludeFolders?
    {9, 355, 81},	// Nepomuk::Query::FileQuery::~FileQuery
    {10, 30, -23},	// Nepomuk::Query::GroupTerm::GroupTerm#
    {10, 31, 89},	// Nepomuk::Query::GroupTerm::GroupTerm###
    {10, 32, 90},	// Nepomuk::Query::GroupTerm::GroupTerm####
    {10, 33, 91},	// Nepomuk::Query::GroupTerm::GroupTerm#####
    {10, 34, 92},	// Nepomuk::Query::GroupTerm::GroupTerm######
    {10, 35, 87},	// Nepomuk::Query::GroupTerm::GroupTerm#######
    {10, 136, 84},	// Nepomuk::Query::GroupTerm::addSubTerm#
    {10, 294, 83},	// Nepomuk::Query::GroupTerm::setSubTerms?
    {10, 312, 82},	// Nepomuk::Query::GroupTerm::subTerms
    {10, 356, 93},	// Nepomuk::Query::GroupTerm::~GroupTerm
    {11, 58, 99},	// Nepomuk::Query::LiteralTerm::LiteralTerm
    {11, 59, -20},	// Nepomuk::Query::LiteralTerm::LiteralTerm#
    {11, 213, 96},	// Nepomuk::Query::LiteralTerm::operator=#
    {11, 300, 98},	// Nepomuk::Query::LiteralTerm::setValue#
    {11, 351, 97},	// Nepomuk::Query::LiteralTerm::value
    {11, 357, 100},	// Nepomuk::Query::LiteralTerm::~LiteralTerm
    {12, 63, 101},	// Nepomuk::Query::NegationTerm::NegationTerm
    {12, 64, 102},	// Nepomuk::Query::NegationTerm::NegationTerm#
    {12, 197, 104},	// Nepomuk::Query::NegationTerm::negateTerm#
    {12, 213, 103},	// Nepomuk::Query::NegationTerm::operator=#
    {12, 358, 105},	// Nepomuk::Query::NegationTerm::~NegationTerm
    {13, 71, 106},	// Nepomuk::Query::OptionalTerm::OptionalTerm
    {13, 72, 107},	// Nepomuk::Query::OptionalTerm::OptionalTerm#
    {13, 213, 108},	// Nepomuk::Query::OptionalTerm::operator=#
    {13, 228, 109},	// Nepomuk::Query::OptionalTerm::optionalizeTerm#
    {13, 359, 110},	// Nepomuk::Query::OptionalTerm::~OptionalTerm
    {14, 74, 111},	// Nepomuk::Query::OrTerm::OrTerm
    {14, 75, 112},	// Nepomuk::Query::OrTerm::OrTerm#
    {14, 76, 116},	// Nepomuk::Query::OrTerm::OrTerm##
    {14, 77, 117},	// Nepomuk::Query::OrTerm::OrTerm###
    {14, 78, 118},	// Nepomuk::Query::OrTerm::OrTerm####
    {14, 79, 119},	// Nepomuk::Query::OrTerm::OrTerm#####
    {14, 80, 113},	// Nepomuk::Query::OrTerm::OrTerm######
    {14, 81, 114},	// Nepomuk::Query::OrTerm::OrTerm?
    {14, 213, 115},	// Nepomuk::Query::OrTerm::operator=#
    {14, 360, 120},	// Nepomuk::Query::OrTerm::~OrTerm
    {15, 18, 165},	// Nepomuk::Query::Query::CreateAskQuery
    {15, 19, 163},	// Nepomuk::Query::Query::CreateCountQuery
    {15, 36, 164},	// Nepomuk::Query::Query::HandleInverseProperties
    {15, 66, 162},	// Nepomuk::Query::Query::NoFlags
    {15, 68, 159},	// Nepomuk::Query::Query::NoQueryFlags
    {15, 69, 160},	// Nepomuk::Query::Query::NoResultRestrictions
    {15, 92, 121},	// Nepomuk::Query::Query::Query
    {15, 93, -11},	// Nepomuk::Query::Query::Query#
    {15, 122, 161},	// Nepomuk::Query::Query::WithoutFullTextExcerpt
    {15, 133, 141},	// Nepomuk::Query::Query::addRequestProperty#
    {15, 171, 153},	// Nepomuk::Query::Query::fromQueryUrl#
    {15, 173, 152},	// Nepomuk::Query::Query::fromString$
    {15, 176, 137},	// Nepomuk::Query::Query::fullTextScoringEnabled
    {15, 177, 138},	// Nepomuk::Query::Query::fullTextScoringSortOrder
    {15, 182, 127},	// Nepomuk::Query::Query::isFileQuery
    {15, 191, 126},	// Nepomuk::Query::Query::isValid
    {15, 192, 130},	// Nepomuk::Query::Query::limit
    {15, 200, 131},	// Nepomuk::Query::Query::offset
    {15, 204, 149},	// Nepomuk::Query::Query::operator!=#
    {15, 213, -14},	// Nepomuk::Query::Query::operator=#
    {15, 215, 148},	// Nepomuk::Query::Query::operator==#
    {15, 225, 150},	// Nepomuk::Query::Query::optimized
    {15, 244, 140},	// Nepomuk::Query::Query::queryFlags
    {15, 245, 143},	// Nepomuk::Query::Query::requestProperties
    {15, 248, 147},	// Nepomuk::Query::Query::requestPropertyMap
    {15, 267, 135},	// Nepomuk::Query::Query::setFullTextScoringEnabled$
    {15, 269, 136},	// Nepomuk::Query::Query::setFullTextScoringSortOrder$
    {15, 275, 133},	// Nepomuk::Query::Query::setLimit$
    {15, 277, 134},	// Nepomuk::Query::Query::setOffset$
    {15, 281, 139},	// Nepomuk::Query::Query::setQueryFlags$
    {15, 283, 142},	// Nepomuk::Query::Query::setRequestProperties?
    {15, 296, 132},	// Nepomuk::Query::Query::setTerm#
    {15, 306, 154},	// Nepomuk::Query::Query::sparqlFromQueryUrl#
    {15, 323, 129},	// Nepomuk::Query::Query::term
    {15, 326, 155},	// Nepomuk::Query::Query::titleFromQueryUrl#
    {15, 329, 128},	// Nepomuk::Query::Query::toFileQuery
    {15, 336, 157},	// Nepomuk::Query::Query::toSearchUrl
    {15, 337, -17},	// Nepomuk::Query::Query::toSearchUrl$
    {15, 338, 146},	// Nepomuk::Query::Query::toSearchUrl$$
    {15, 339, 156},	// Nepomuk::Query::Query::toSparqlQuery
    {15, 340, 144},	// Nepomuk::Query::Query::toSparqlQuery$
    {15, 341, 151},	// Nepomuk::Query::Query::toString
    {15, 361, 166},	// Nepomuk::Query::Query::~Query
    {16, 104, -64},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#
    {16, 105, 167},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#$
    {16, 213, 169},	// Nepomuk::Query::Query::RequestProperty::operator=#
    {16, 215, 170},	// Nepomuk::Query::Query::RequestProperty::operator==#
    {16, 226, 172},	// Nepomuk::Query::Query::RequestProperty::optional
    {16, 235, 171},	// Nepomuk::Query::Query::RequestProperty::property
    {16, 364, 174},	// Nepomuk::Query::Query::RequestProperty::~RequestProperty
    {17, 20, 184},	// Nepomuk::Query::QueryParser::DetectFilenamePattern
    {17, 67, 182},	// Nepomuk::Query::QueryParser::NoParserFlags
    {17, 97, 175},	// Nepomuk::Query::QueryParser::QueryParser
    {17, 98, 181},	// Nepomuk::Query::QueryParser::QueryParser#
    {17, 101, 183},	// Nepomuk::Query::QueryParser::QueryTermGlobbing
    {17, 194, 178},	// Nepomuk::Query::QueryParser::matchProperty$
    {17, 230, 176},	// Nepomuk::Query::QueryParser::parse$
    {17, 231, 177},	// Nepomuk::Query::QueryParser::parse$$
    {17, 233, 179},	// Nepomuk::Query::QueryParser::parseQuery$
    {17, 234, 180},	// Nepomuk::Query::QueryParser::parseQuery$$
    {17, 362, 185},	// Nepomuk::Query::QueryParser::~QueryParser
    {18, 99, 214},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient
    {18, 100, 193},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient#
    {18, 143, 203},	// Nepomuk::Query::QueryServiceClient::blockingDesktopQuery$
    {18, 145, 201},	// Nepomuk::Query::QueryServiceClient::blockingQuery#
    {18, 147, 220},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$
    {18, 148, 202},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$?
    {18, 150, 204},	// Nepomuk::Query::QueryServiceClient::close
    {18, 155, 200},	// Nepomuk::Query::QueryServiceClient::desktopQuery$
    {18, 158, 208},	// Nepomuk::Query::QueryServiceClient::entriesRemoved?
    {18, 160, 211},	// Nepomuk::Query::QueryServiceClient::error$
    {18, 161, 206},	// Nepomuk::Query::QueryServiceClient::errorMessage
    {18, 167, 210},	// Nepomuk::Query::QueryServiceClient::finishedListing
    {18, 184, 205},	// Nepomuk::Query::QueryServiceClient::isListingFinished
    {18, 195, 186},	// Nepomuk::Query::QueryServiceClient::metaObject
    {18, 199, 207},	// Nepomuk::Query::QueryServiceClient::newEntries?
    {18, 239, 192},	// Nepomuk::Query::QueryServiceClient::qt_metacall$$?
    {18, 241, 187},	// Nepomuk::Query::QueryServiceClient::qt_metacast$
    {18, 243, 198},	// Nepomuk::Query::QueryServiceClient::query#
    {18, 251, 209},	// Nepomuk::Query::QueryServiceClient::resultCount$
    {18, 253, 194},	// Nepomuk::Query::QueryServiceClient::serviceAvailable
    {18, 308, 219},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$
    {18, 309, 199},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$?
    {18, 310, 221},	// Nepomuk::Query::QueryServiceClient::staticMetaObject
    {18, 314, 218},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$
    {18, 315, 197},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$$
    {18, 317, 215},	// Nepomuk::Query::QueryServiceClient::syncQuery#
    {18, 318, 195},	// Nepomuk::Query::QueryServiceClient::syncQuery#$
    {18, 320, 216},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$
    {18, 321, 217},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?
    {18, 322, 196},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?$
    {18, 343, 212},	// Nepomuk::Query::QueryServiceClient::tr$
    {18, 344, 188},	// Nepomuk::Query::QueryServiceClient::tr$$
    {18, 345, 190},	// Nepomuk::Query::QueryServiceClient::tr$$$
    {18, 347, 213},	// Nepomuk::Query::QueryServiceClient::trUtf8$
    {18, 348, 189},	// Nepomuk::Query::QueryServiceClient::trUtf8$$
    {18, 349, 191},	// Nepomuk::Query::QueryServiceClient::trUtf8$$$
    {18, 363, 222},	// Nepomuk::Query::QueryServiceClient::~QueryServiceClient
    {19, 107, 228},	// Nepomuk::Query::ResourceTerm::ResourceTerm
    {19, 108, -1},	// Nepomuk::Query::ResourceTerm::ResourceTerm#
    {19, 213, 225},	// Nepomuk::Query::ResourceTerm::operator=#
    {19, 249, 226},	// Nepomuk::Query::ResourceTerm::resource
    {19, 285, 227},	// Nepomuk::Query::ResourceTerm::setResource#
    {19, 365, 229},	// Nepomuk::Query::ResourceTerm::~ResourceTerm
    {20, 110, 235},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm
    {20, 111, -58},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm#
    {20, 213, 232},	// Nepomuk::Query::ResourceTypeTerm::operator=#
    {20, 298, 234},	// Nepomuk::Query::ResourceTypeTerm::setType#
    {20, 350, 233},	// Nepomuk::Query::ResourceTypeTerm::type
    {20, 366, 236},	// Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm
    {21, 112, 237},	// Nepomuk::Query::Result::Result
    {21, 113, -61},	// Nepomuk::Query::Result::Result#
    {21, 114, 238},	// Nepomuk::Query::Result::Result#$
    {21, 134, 244},	// Nepomuk::Query::Result::addRequestProperty##
    {21, 138, 250},	// Nepomuk::Query::Result::additionalBinding$
    {21, 139, 249},	// Nepomuk::Query::Result::additionalBindings
    {21, 164, 252},	// Nepomuk::Query::Result::excerpt
    {21, 213, 240},	// Nepomuk::Query::Result::operator=#
    {21, 215, 253},	// Nepomuk::Query::Result::operator==#
    {21, 222, 246},	// Nepomuk::Query::Result::operator[]#
    {21, 245, 245},	// Nepomuk::Query::Result::requestProperties
    {21, 247, 247},	// Nepomuk::Query::Result::requestProperty#
    {21, 249, 242},	// Nepomuk::Query::Result::resource
    {21, 252, 241},	// Nepomuk::Query::Result::score
    {21, 255, 248},	// Nepomuk::Query::Result::setAdditionalBindings#
    {21, 261, 251},	// Nepomuk::Query::Result::setExcerpt$
    {21, 287, 243},	// Nepomuk::Query::Result::setScore$
    {21, 367, 255},	// Nepomuk::Query::Result::~Result
    {22, 116, -27},	// Nepomuk::Query::SimpleTerm::SimpleTerm#
    {22, 292, 257},	// Nepomuk::Query::SimpleTerm::setSubTerm#
    {22, 311, 256},	// Nepomuk::Query::SimpleTerm::subTerm
    {22, 368, 261},	// Nepomuk::Query::SimpleTerm::~SimpleTerm
    {23, 1, 302},	// Nepomuk::Query::Term::And
    {23, 11, 304},	// Nepomuk::Query::Term::Comparison
    {23, 37, 299},	// Nepomuk::Query::Term::Invalid
    {23, 57, 300},	// Nepomuk::Query::Term::Literal
    {23, 62, 306},	// Nepomuk::Query::Term::Negation
    {23, 70, 307},	// Nepomuk::Query::Term::Optional
    {23, 73, 303},	// Nepomuk::Query::Term::Or
    {23, 106, 301},	// Nepomuk::Query::Term::Resource
    {23, 109, 305},	// Nepomuk::Query::Term::ResourceType
    {23, 120, 262},	// Nepomuk::Query::Term::Term
    {23, 121, -31},	// Nepomuk::Query::Term::Term#
    {23, 169, 295},	// Nepomuk::Query::Term::fromProperty##
    {23, 173, 293},	// Nepomuk::Query::Term::fromString$
    {23, 175, 294},	// Nepomuk::Query::Term::fromVariant#
    {23, 180, 272},	// Nepomuk::Query::Term::isAndTerm
    {23, 181, 274},	// Nepomuk::Query::Term::isComparisonTerm
    {23, 185, 268},	// Nepomuk::Query::Term::isLiteralTerm
    {23, 186, 270},	// Nepomuk::Query::Term::isNegationTerm
    {23, 187, 271},	// Nepomuk::Query::Term::isOptionalTerm
    {23, 188, 273},	// Nepomuk::Query::Term::isOrTerm
    {23, 189, 269},	// Nepomuk::Query::Term::isResourceTerm
    {23, 190, 275},	// Nepomuk::Query::Term::isResourceTypeTerm
    {23, 191, 265},	// Nepomuk::Query::Term::isValid
    {23, 204, 297},	// Nepomuk::Query::Term::operator!=#
    {23, 213, 264},	// Nepomuk::Query::Term::operator=#
    {23, 215, 296},	// Nepomuk::Query::Term::operator==#
    {23, 225, 267},	// Nepomuk::Query::Term::optimized
    {23, 327, -34},	// Nepomuk::Query::Term::toAndTerm
    {23, 328, -37},	// Nepomuk::Query::Term::toComparisonTerm
    {23, 330, -40},	// Nepomuk::Query::Term::toLiteralTerm
    {23, 331, -43},	// Nepomuk::Query::Term::toNegationTerm
    {23, 332, -46},	// Nepomuk::Query::Term::toOptionalTerm
    {23, 333, -49},	// Nepomuk::Query::Term::toOrTerm
    {23, 334, -52},	// Nepomuk::Query::Term::toResourceTerm
    {23, 335, -55},	// Nepomuk::Query::Term::toResourceTypeTerm
    {23, 341, 292},	// Nepomuk::Query::Term::toString
    {23, 350, 266},	// Nepomuk::Query::Term::type
    {23, 369, 308},	// Nepomuk::Query::Term::~Term
    {33, 38, 321},	// QGlobalSpace::LicensedActiveQt
    {33, 39, 327},	// QGlobalSpace::LicensedCore
    {33, 40, 319},	// QGlobalSpace::LicensedDBus
    {33, 41, 324},	// QGlobalSpace::LicensedDeclarative
    {33, 42, 314},	// QGlobalSpace::LicensedGui
    {33, 43, 333},	// QGlobalSpace::LicensedHelp
    {33, 44, 334},	// QGlobalSpace::LicensedMultimedia
    {33, 45, 337},	// QGlobalSpace::LicensedNetwork
    {33, 46, 326},	// QGlobalSpace::LicensedOpenGL
    {33, 47, 318},	// QGlobalSpace::LicensedOpenVG
    {33, 48, 335},	// QGlobalSpace::LicensedQt3Support
    {33, 49, 316},	// QGlobalSpace::LicensedQt3SupportLight
    {33, 50, 317},	// QGlobalSpace::LicensedScript
    {33, 51, 322},	// QGlobalSpace::LicensedScriptTools
    {33, 52, 325},	// QGlobalSpace::LicensedSql
    {33, 53, 323},	// QGlobalSpace::LicensedSvg
    {33, 54, 320},	// QGlobalSpace::LicensedTest
    {33, 55, 315},	// QGlobalSpace::LicensedXml
    {33, 56, 336},	// QGlobalSpace::LicensedXmlPatterns
    {33, 82, 309},	// QGlobalSpace::Q_COMPLEX_TYPE
    {33, 83, 313},	// QGlobalSpace::Q_DUMMY_TYPE
    {33, 84, 312},	// QGlobalSpace::Q_MOVABLE_TYPE
    {33, 85, 310},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {33, 86, 311},	// QGlobalSpace::Q_STATIC_TYPE
    {33, 87, 330},	// QGlobalSpace::QtCriticalMsg
    {33, 88, 328},	// QGlobalSpace::QtDebugMsg
    {33, 89, 331},	// QGlobalSpace::QtFatalMsg
    {33, 90, 332},	// QGlobalSpace::QtSystemMsg
    {33, 91, 329},	// QGlobalSpace::QtWarningMsg
    {33, 123, 340},	// QGlobalSpace::__codecvt_error
    {33, 124, 341},	// QGlobalSpace::__codecvt_noconv
    {33, 125, 338},	// QGlobalSpace::__codecvt_ok
    {33, 126, 339},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *nepomukquery_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomukquery_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    nepomukquery_Smoke = new Smoke(
        "nepomukquery",
        __smokenepomukquery::classes, 42,
        __smokenepomukquery::methods, 349,
        __smokenepomukquery::methodMaps, 314,
        __smokenepomukquery::methodNames, 369,
        __smokenepomukquery::types, 234,
        __smokenepomukquery::inheritanceList,
        __smokenepomukquery::argumentList,
        __smokenepomukquery::ambiguousMethodList,
        __smokenepomukquery::cast );
    initialized = true;
}

void delete_nepomukquery_Smoke() { delete nepomukquery_Smoke; }

}
